.accordion-item {
  margin-bottom: 1rem;
  cursor: pointer;

  // headre
  &__header {
    padding: 2rem 0;
    @include font($primary-font, 1.5rem, var(--primary-font-color));

    display: flex;
    align-items: center;

    // trigger
    &:before {
      content: '\002B';
      @include font($primary-font, 5rem, var(--primary-font-color), 100);
      line-height: 1;
      margin-right: 1.5rem;
      transition: 0.5s cubic-bezier(1, 0.01, 0.01, 0.99);
    }

    &--active:before {
      transform: rotate(225deg);
    }
  }

  // content
  &__content {
    padding-left: 1.5rem;
    @include font($primary-font, 1.125rem, var(--primary-font-color));

    ul {
      list-style-type: '\002D   ';
    }
    p,
    li {
      margin-bottom: 2rem;
    }

    b {
      font-weight: 600;
    }
  }
}

// PHONE
@include phone {
  .accordion-item {
    margin-bottom: 0;

    // header
    &__header {
      padding: 0.5rem 0;
      font-size: 1.125rem;

      // trigger
      &:before {
        font-size: 4rem;
        margin-right: 1rem;
        margin-left: 0.5rem;
      }
    }

    // content
    &__content {
      padding-left: 0;
      font-size: 0.875rem;

      ul,
      ol {
        list-style-position: inside;
        padding-left: 0;
      }
      p,
      li {
        margin-bottom: 1rem;
      }
    }
  }
}

// animation
.accordion-enter-active,
.accordion-leave-active {
  will-change: height, opacity;
  transition: height 0.5s ease, opacity 0.5s ease;
  overflow: hidden;
}

.accordion-enter,
.accordion-leave-to {
  height: 0 !important;
  opacity: 0;
}
